> For the complete documentation index, see [llms.txt](https://docs.interactive.ai/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.interactive.ai/cli/iai_databases.md).

# iai databases

PostgreSQL instances with extension support, including pgvector

## Synopsis

Manage PostgreSQL databases in InteractiveAI projects.

Databases are managed PostgreSQL instances that can also be used as vector stores. The "vector" extension (pgvector) is installed by default, enabling vector similarity search for AI/ML workloads such as RAG and embeddings.

Each database automatically creates a secret named \<database\_name>-app with connection credentials (host, port, username, password, URI).

## Options

```
  -h, --help   help for databases
```

## Options inherited from parent commands

```
      --api-key string               API key for authentication
      --cfg-file string              Path to YAML config file with organization, project, and optional service definitions
      --deployment-hostname string   Hostname for the deployment API (default "https://deployment.interactive.ai")
      --hostname string              Hostname for the API (default "https://app.interactive.ai")
```

## SEE ALSO

* [iai](/cli/iai.md) - InteractiveAI's CLI
* [iai databases backup](/cli/iai_databases_backup.md) - Trigger an on-demand backup
* [iai databases backups](/cli/iai_databases_backups.md) - List backups for a database
* [iai databases create](/cli/iai_databases_create.md) - Create a database in a project
* [iai databases delete](/cli/iai_databases_delete.md) - Delete a database from a project
* [iai databases describe](/cli/iai_databases_describe.md) - Describe a database in detail
* [iai databases list](/cli/iai_databases_list.md) - List databases in a project
* [iai databases log-fields](/cli/iai_databases_log-fields.md) - List available fields in structured logs
* [iai databases logs](/cli/iai_databases_logs.md) - Show logs for a database
* [iai databases port-forward](/cli/iai_databases_port-forward.md) - Forward a local port to a database
* [iai databases restore](/cli/iai_databases_restore.md) - Restore a new database from a backup
* [iai databases update](/cli/iai_databases_update.md) - Update a database in a project


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.interactive.ai/cli/iai_databases.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
